namespace CMSMicroservice.Application.ClubMembershipCQ.Commands.AcceptClubMembershipContract;

public class AcceptClubMembershipContractCommandValidator : AbstractValidator<AcceptClubMembershipContractCommand>
{
    public AcceptClubMembershipContractCommandValidator()
    {
        RuleFor(x => x.OtpCode)
            .NotEmpty()
            .WithMessage("کد تایید الزامی است")
            .Length(6)
            .WithMessage("کد تایید باید ۶ رقم باشد");

        RuleFor(x => x.SignGuid)
            .NotEmpty()
            .WithMessage("شناسه امضا الزامی است");

        RuleFor(x => x.ContractHtml)
            .NotEmpty()
            .WithMessage("محتوای قرارداد الزامی است");
    }
}
